# calculator-project2

## Intro

A sample springboot application, including both a service, and an api client.

## Compile
```
mvn compiler:compile
```

## Test
This will run the basic test set for both the service, and for the API client

```
mvn test
```

## Run The Service
```
mvn spring-boot:run
```

## Usage

Once the service is running, you can use the included CalculatorApp to demo the service and 
the API client, or you can use something like Insomnia to execute manual queries of the endpoints.

Command line execution:

```
java -classpath 
    \ {/path/to/your/target/classes:/path/to/your/.m2/repository/dependencies} 
    \ com.gmgauthier.CalculatorApp
```

It might be easier to execute it using an IDE like Eclipse or Intellij

![](doc/calcapp.png)

![](doc/insomnia-view.png)

